## mkvtoolnix 65.0.0

=== lib/fmt/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.18)

# Fallback for using newer policies on CMake <3.12.
if(${CMAKE_VERSION} VERSION_LESS 3.12)
  cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
endif()

# Determine if fmt is built as a subproject (using add_subdirectory)
# or if it is the master project.
if (NOT DEFINED FMT_MASTER_PROJECT)
  set(FMT_MASTER_PROJECT OFF)
  if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
    set(FMT_MASTER_PROJECT ON)
    message(STATUS "CMake version: ${CMAKE_VERSION}")
  endif ()
endif ()

# Joins arguments and places the results in ${result_var}.
function(join result_var)
  set(result "")
  foreach (arg ${ARGN})
    set(result "${result}${arg}")
  endforeach ()
  set(${result_var} "${result}" PARENT_SCOPE)
endfunction()

function(enable_module target)
  if (MSVC)
    set(BMI ${CMAKE_CURRENT_BINARY_DIR}/${target}.ifc)
    target_compile_options(${target}
      PRIVATE /interface /ifcOutput ${BMI}
      INTERFACE /reference fmt=${BMI})
  endif ()
  set_target_properties(${target} PROPERTIES ADDITIONAL_CLEAN_FILES ${BMI})
  set_source_files_properties(${BMI} PROPERTIES GENERATED ON)
endfunction()

include(CMakeParseArguments)

# Sets a cache variable with a docstring joined from multiple arguments:
#   set(<variable> <value>... CACHE <type> <docstring>...)
# This allows splitting a long docstring for readability.
function(set_verbose)
  # cmake_parse_arguments is broken in CMake 3.4 (cannot parse CACHE) so use
  # list instead.
  list(GET ARGN 0 var)
  list(REMOVE_AT ARGN 0)
  list(GET ARGN 0 val)
  list(REMOVE_AT ARGN 0)
  list(REMOVE_AT ARGN 0)
  list(GET ARGN 0 type)
  list(REMOVE_AT ARGN 0)
  join(doc ${ARGN})
  set(${var} ${val} CACHE ${type} ${doc})
endfunction()

# Set the default CMAKE_BUILD_TYPE to Release.
# This should be done before the project command since the latter can set
# CMAKE_BUILD_TYPE itself (it does so for nmake).
if (FMT_MASTER_PROJECT AND NOT CMAKE_BUILD_TYPE)
  set_verbose(CMAKE_BUILD_TYPE Release CACHE STRING
              "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or "
              "CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
endif ()

project(FMT CXX)
include(GNUInstallDirs)
set_verbose(FMT_INC_DIR ${CMAKE_INSTALL_INCLUDEDIR} CACHE STRING
            "Installation directory for include files, a relative path that "
            "will be joined with ${CMAKE_INSTALL_PREFIX} or an absolute path.")

option(FMT_PEDANTIC "Enable extra warnings and expensive tests." OFF)
option(FMT_WERROR "Halt the compilation with an error on compiler warnings."
       OFF)

# Options that control generation of various targets.
option(FMT_DOC "Generate the doc target." ${FMT_MASTER_PROJECT})
option(FMT_INSTALL "Generate the install target." ${FMT_MASTER_PROJECT})
option(FMT_TEST "Generate the test target." ${FMT_MASTER_PROJECT})
option(FMT_FUZZ "Generate the fuzz target." OFF)
option(FMT_CUDA_TEST "Generate the cuda-test target." OFF)
option(FMT_OS "Include core requiring OS (Windows/Posix) " ON)
option(FMT_MODULE "Build a module instead of a traditional library." OFF)

set(FMT_CAN_MODULE OFF)
if (CMAKE_CXX_STANDARD GREATER 17 AND
    # msvc 16.10-pre4
    MSVC AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 19.29.30035)
  set(FMT_CAN_MODULE ON)
endif ()
if (NOT FMT_CAN_MODULE)
  set(FMT_MODULE OFF)
  message(STATUS "Module support is disabled.")
endif ()
if (FMT_TEST AND FMT_MODULE)
  # The tests require {fmt} to be compiled as traditional library
  message(STATUS "Testing is incompatible with build mode 'module'.")
endif ()

# Get version from core.h
file(READ include/fmt/core.h core_h)
if (NOT core_h MATCHES "FMT_VERSION ([0-9]+)([0-9][0-9])([0-9][0-9])")
  message(FATAL_ERROR "Cannot get FMT_VERSION from core.h.")
endif ()
# Use math to skip leading zeros if any.
math(EXPR CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1})
math(EXPR CPACK_PACKAGE_VERSION_MINOR ${CMAKE_MATCH_2})
math(EXPR CPACK_PACKAGE_VERSION_PATCH ${CMAKE_MATCH_3})
join(FMT_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.
                 ${CPACK_PACKAGE_VERSION_PATCH})
message(STATUS "Version: ${FMT_VERSION}")

message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

if (NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
endif ()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
  "${CMAKE_CURRENT_SOURCE_DIR}/support/cmake")

include(cxx14)
include(CheckCXXCompilerFlag)
include(JoinPaths)

list(FIND CMAKE_CXX_COMPILE_FEATURES "cxx_variadic_templates" index)
if (${index} GREATER -1)
  # Use cxx_variadic_templates instead of more appropriate cxx_std_11 for
  # compatibility with older CMake versions.
  set(FMT_REQUIRED_FEATURES cxx_variadic_templates)
endif ()
message(STATUS "Required features: ${FMT_REQUIRED_FEATURES}")

if (FMT_MASTER_PROJECT AND NOT DEFINED CMAKE_CXX_VISIBILITY_PRESET)
  set_verbose(CMAKE_CXX_VISIBILITY_PRESET hidden CACHE STRING
              "Preset for the export of private symbols")
  set_property(CACHE CMAKE_CXX_VISIBILITY_PRESET PROPERTY STRINGS
               hidden default)
endif ()

if (FMT_MASTER_PROJECT AND NOT DEFINED CMAKE_VISIBILITY_INLINES_HIDDEN)
  set_verbose(CMAKE_VISIBILITY_INLINES_HIDDEN ON CACHE BOOL
              "Whether to add a compile flag to hide symbols of inline functions")
endif ()

if (CMAKE_CXX_COMPILER_ID MATCHES "GNU")
  set(PEDANTIC_COMPILE_FLAGS -pedantic-errors -Wall -Wextra -pedantic
      -Wold-style-cast -Wundef
      -Wredundant-decls -Wwrite-strings -Wpointer-arith
      -Wcast-qual -Wformat=2 -Wmissing-include-dirs
      -Wcast-align
      -Wctor-dtor-privacy -Wdisabled-optimization
      -Winvalid-pch -Woverloaded-virtual
      -Wconversion -Wswitch-enum -Wundef
      -Wno-ctor-dtor-privacy -Wno-format-nonliteral)
  if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.6)
      set(PEDANTIC_COMPILE_FLAGS ${PEDANTIC_COMPILE_FLAGS}
         -Wno-dangling-else -Wno-unused-local-typedefs)
  endif ()
  if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 5.0)
      set(PEDANTIC_COMPILE_FLAGS ${PEDANTIC_COMPILE_FLAGS} -Wdouble-promotion
          -Wtrampolines -Wzero-as-null-pointer-constant -Wuseless-cast
          -Wvector-operation-performance -Wsized-deallocation -Wshadow)
  endif ()
  if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0)
      set(PEDANTIC_COMPILE_FLAGS ${PEDANTIC_COMPILE_FLAGS} -Wshift-overflow=2
          -Wnull-dereference -Wduplicated-cond)
  endif ()
  set(WERROR_FLAG -Werror)
endif ()

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(PEDANTIC_COMPILE_FLAGS -Wall -Wextra -pedantic -Wconversion -Wundef
      -Wdeprecated -Wweak-vtables -Wshadow
      -Wno-gnu-zero-variadic-macro-arguments)
  check_cxx_compiler_flag(-Wzero-as-null-pointer-constant HAS_NULLPTR_WARNING)
  if (HAS_NULLPTR_WARNING)
    set(PEDANTIC_COMPILE_FLAGS ${PEDANTIC_COMPILE_FLAGS}
        -Wzero-as-null-pointer-constant)
  endif ()
  set(WERROR_FLAG -Werror)
endif ()

if (MSVC)
  set(PEDANTIC_COMPILE_FLAGS /W3)
  set(WERROR_FLAG /WX)
endif ()

if (FMT_MASTER_PROJECT AND CMAKE_GENERATOR MATCHES "Visual Studio")
  # If Microsoft SDK is installed create script run-msbuild.bat that
  # calls SetEnv.cmd to set up build environment and runs msbuild.
  # It is useful when building Visual Studio projects with the SDK
  # toolchain rather than Visual Studio.
  include(FindSetEnv)
  if (WINSDK_SETENV)
    set(MSBUILD_SETUP "call \"${WINSDK_SETENV}\"")
  endif ()
  # Set FrameworkPathOverride to get rid of MSB3644 warnings.
  join(netfxpath
       "C:\\Program Files\\Reference Assemblies\\Microsoft\\Framework\\"
       ".NETFramework\\v4.0")
  file(WRITE run-msbuild.bat "
    ${MSBUILD_SETUP}
    ${CMAKE_MAKE_PROGRAM} -p:FrameworkPathOverride=\"${netfxpath}\" %*")
endif ()

set(strtod_l_headers stdlib.h)
if (APPLE)
  set(strtod_l_headers ${strtod_l_headers} xlocale.h)
endif ()

include(CheckSymbolExists)
if (WIN32)
  check_symbol_exists(_strtod_l "${strtod_l_headers}" HAVE_STRTOD_L)
else ()
  check_symbol_exists(strtod_l "${strtod_l_headers}" HAVE_STRTOD_L)
endif ()

function(add_headers VAR)
  set(headers ${${VAR}})
  foreach (header ${ARGN})
    set(headers ${headers} include/fmt/${header})
  endforeach()
  set(${VAR} ${headers} PARENT_SCOPE)
endfunction()

# Define the fmt library, its includes and the needed defines.
add_headers(FMT_HEADERS args.h chrono.h color.h compile.h core.h format.h
                        format-inl.h locale.h os.h ostream.h printf.h ranges.h
                        xchar.h)
if (FMT_MODULE)
  set(FMT_SOURCES src/fmt.cc)
elseif (FMT_OS)
  set(FMT_SOURCES src/format.cc src/os.cc)
else()
  set(FMT_SOURCES src/format.cc)
endif ()

add_library(fmt ${FMT_SOURCES} ${FMT_HEADERS} README.rst ChangeLog.rst)
add_library(fmt::fmt ALIAS fmt)

if (HAVE_STRTOD_L)
  target_compile_definitions(fmt PUBLIC FMT_LOCALE)
endif ()

if (MINGW)
  check_cxx_compiler_flag("Wa,-mbig-obj" FMT_HAS_MBIG_OBJ)
  if (${FMT_HAS_MBIG_OBJ})
    target_compile_options(fmt PUBLIC "-Wa,-mbig-obj")
  endif()
endif ()

if (FMT_WERROR)
  target_compile_options(fmt PRIVATE ${WERROR_FLAG})
endif ()
if (FMT_PEDANTIC)
  target_compile_options(fmt PRIVATE ${PEDANTIC_COMPILE_FLAGS})
endif ()
if (FMT_MODULE)
  enable_module(fmt)
endif ()

target_compile_features(fmt INTERFACE ${FMT_REQUIRED_FEATURES})

target_include_directories(fmt PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:${FMT_INC_DIR}>)

set(FMT_DEBUG_POSTFIX d CACHE STRING "Debug library postfix.")

set_target_properties(fmt PROPERTIES
  VERSION ${FMT_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR}
  DEBUG_POSTFIX "${FMT_DEBUG_POSTFIX}")

# Set FMT_LIB_NAME for pkg-config fmt.pc. We cannot use the OUTPUT_NAME target
# property because it's not set by default.
set(FMT_LIB_NAME fmt)
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  set(FMT_LIB_NAME ${FMT_LIB_NAME}${FMT_DEBUG_POSTFIX})
endif ()

if (BUILD_SHARED_LIBS)
  if (UNIX AND NOT APPLE AND NOT ${CMAKE_SYSTEM_NAME} MATCHES "SunOS" AND
      NOT EMSCRIPTEN)
    # Fix rpmlint warning:
    # unused-direct-shlib-dependency /usr/lib/libformat.so.1.1.0 /lib/libm.so.6.
    target_link_libraries(fmt -Wl,--as-needed)
  endif ()
  target_compile_definitions(fmt PRIVATE FMT_EXPORT INTERFACE FMT_SHARED)
endif ()
if (FMT_SAFE_DURATION_CAST)
  target_compile_definitions(fmt PUBLIC FMT_SAFE_DURATION_CAST)
endif()

add_library(fmt-header-only INTERFACE)
add_library(fmt::fmt-header-only ALIAS fmt-header-only)

target_compile_definitions(fmt-header-only INTERFACE FMT_HEADER_ONLY=1)
target_compile_features(fmt-header-only INTERFACE ${FMT_REQUIRED_FEATURES})

target_include_directories(fmt-header-only INTERFACE
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:${FMT_INC_DIR}>)

# Install targets.
if (FMT_INSTALL)
  include(CMakePackageConfigHelpers)
  set_verbose(FMT_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/fmt CACHE STRING
              "Installation directory for cmake files, a relative path that "
              "will be joined with ${CMAKE_INSTALL_PREFIX} or an absolute "
              "path.")
  set(version_config ${PROJECT_BINARY_DIR}/fmt-config-version.cmake)
  set(project_config ${PROJECT_BINARY_DIR}/fmt-config.cmake)
  set(pkgconfig ${PROJECT_BINARY_DIR}/fmt.pc)
  set(targets_export_name fmt-targets)

  set_verbose(FMT_LIB_DIR ${CMAKE_INSTALL_LIBDIR} CACHE STRING
              "Installation directory for libraries, a relative path that "
              "will be joined to ${CMAKE_INSTALL_PREFIX} or an absolute path.")

  set_verbose(FMT_PKGCONFIG_DIR ${CMAKE_INSTALL_LIBDIR}/pkgconfig CACHE PATH
              "Installation directory for pkgconfig (.pc) files, a relative "
              "path that will be joined with ${CMAKE_INSTALL_PREFIX} or an "
              "absolute path.")

  # Generate the version, config and target files into the build directory.
  write_basic_package_version_file(
    ${version_config}
    VERSION ${FMT_VERSION}
    COMPATIBILITY AnyNewerVersion)

=== lib/libebml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)

project(ebml VERSION 1.4.2)

option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
option(ENABLE_WIN32_IO "Build the Windows I/O helper class" OFF)

include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(libebml_SOURCES
  src/Debug.cpp
  src/EbmlBinary.cpp
  src/EbmlContexts.cpp
  src/EbmlCrc32.cpp
  src/EbmlDate.cpp
  src/EbmlDummy.cpp
  src/EbmlElement.cpp
  src/EbmlFloat.cpp
  src/EbmlHead.cpp
  src/EbmlMaster.cpp
  src/EbmlSInteger.cpp
  src/EbmlStream.cpp
  src/EbmlString.cpp
  src/EbmlSubHead.cpp
  src/EbmlUInteger.cpp
  src/EbmlUnicodeString.cpp
  src/EbmlVersion.cpp
  src/EbmlVoid.cpp
  src/IOCallback.cpp
  src/MemIOCallback.cpp
  src/MemReadIOCallback.cpp
  src/SafeReadIOCallback.cpp
  src/StdIOCallback.cpp)

if(WIN32 AND ENABLE_WIN32_IO)
   list(APPEND libebml_SOURCES
     src/platform/win32/WinIOCallback.cpp)
endif()

set(libebml_PUBLIC_HEADERS
  ebml/Debug.h
  ebml/EbmlBinary.h
  ebml/EbmlConfig.h
  ebml/EbmlContexts.h
  ebml/EbmlCrc32.h
  ebml/EbmlDate.h
  ebml/EbmlDummy.h
  ebml/EbmlElement.h
  ebml/EbmlEndian.h
  ebml/EbmlFloat.h
  ebml/EbmlHead.h
  ebml/EbmlId.h
  ebml/EbmlMaster.h
  ebml/EbmlSInteger.h
  ebml/EbmlStream.h
  ebml/EbmlString.h
  ebml/EbmlSubHead.h
  ebml/EbmlTypes.h
  ebml/EbmlUInteger.h
  ebml/EbmlUnicodeString.h
  ebml/EbmlVersion.h
  ebml/EbmlVoid.h
  ebml/IOCallback.h
  ebml/MemIOCallback.h
  ebml/MemReadIOCallback.h
  ebml/SafeReadIOCallback.h
  ebml/StdIOCallback.h)

set(libebml_C_PUBLIC_HEADERS ebml/c/libebml_t.h)

add_library(ebml ${libebml_SOURCES} ${libebml_PUBLIC_HEADERS} ${libebml_C_PUBLIC_HEADERS})
if(WIN32)
  include(CheckIncludeFile)
  check_include_file(winapifamily.h HAVE_WINAPIFAMILY_H)
  if(HAVE_WINAPIFAMILY_H)
    target_compile_definitions(ebml PUBLIC HAVE_WINAPIFAMILY_H)
  endif()
endif()
set_target_properties(ebml PROPERTIES
  VERSION 5.0.0
  SOVERSION 5
  CXX_VISIBILITY_PRESET hidden
  VISIBILITY_INLINES_HIDDEN ON
)
target_include_directories(ebml
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(MSVC)
  target_compile_definitions(ebml PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

include(GenerateExportHeader)
generate_export_header(ebml EXPORT_MACRO_NAME EBML_DLL_API)
target_sources(ebml
  PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR}/ebml_export.h
)

if(NOT BUILD_SHARED_LIBS)
  target_compile_definitions(ebml PUBLIC EBML_STATIC_DEFINE)
endif()

install(TARGETS ebml
  EXPORT EBMLTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${libebml_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)
install(FILES ${libebml_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml/c)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ebml_export.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)

if(NOT DISABLE_PKGCONFIG)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
  set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  if (HAVE_WINAPIFAMILY_H)
    set(WINAPIFAMILY_PC -DHAVE_WINAPIFAMILY_H)
  endif()
  if(NOT BUILD_SHARED_LIBS)
    set(STATIC_DEFINE_CFLAGS -DEBML_STATIC_DEFINE)
  endif()
  configure_file(libebml.pc.in libebml.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libebml.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(NOT DISABLE_CMAKE_CONFIG)
  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/EBML)
  include(CMakePackageConfigHelpers)
  configure_package_config_file(EBMLConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  write_basic_package_version_file(EBMLConfigVersion.cmake COMPATIBILITY SameMajorVersion)
  install(EXPORT EBMLTargets NAMESPACE EBML:: DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfigVersion.cmake
      DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
endif()

=== lib/libmatroska/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)

project(matroska VERSION 1.6.4)

option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)

find_package(EBML 1.4.2 REQUIRED)

include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(libmatroska_SOURCES
  src/FileKax.cpp
  src/KaxAttached.cpp
  src/KaxAttachments.cpp
  src/KaxBlock.cpp
  src/KaxBlockData.cpp
  src/KaxCluster.cpp
  src/KaxContexts.cpp
  src/KaxCues.cpp
  src/KaxCuesData.cpp
  src/KaxInfoData.cpp
  src/KaxSeekHead.cpp
  src/KaxSegment.cpp
  src/KaxSemantic.cpp
  src/KaxTracks.cpp
  src/KaxVersion.cpp)

set(libmatroska_PUBLIC_HEADERS
  matroska/FileKax.h
  matroska/KaxAttached.h
  matroska/KaxAttachments.h
  matroska/KaxBlockData.h
  matroska/KaxBlock.h
  matroska/KaxChapters.h
  matroska/KaxClusterData.h
  matroska/KaxCluster.h
  matroska/KaxConfig.h
  matroska/KaxContentEncoding.h
  matroska/KaxContexts.h
  matroska/KaxCuesData.h
  matroska/KaxCues.h
  matroska/KaxDefines.h
  matroska/KaxInfoData.h
  matroska/KaxInfo.h
  matroska/KaxSeekHead.h
  matroska/KaxSegment.h
  matroska/KaxSemantic.h
  matroska/KaxTag.h
  matroska/KaxTags.h
  matroska/KaxTrackAudio.h
  matroska/KaxTrackEntryData.h
  matroska/KaxTracks.h
  matroska/KaxTrackVideo.h
  matroska/KaxTypes.h
  matroska/KaxVersion.h)

set (libmatroska_C_PUBLIC_HEADERS
  matroska/c/libmatroska.h
  matroska/c/libmatroska_t.h)

add_library(matroska ${libmatroska_SOURCES} ${libmatroska_PUBLIC_HEADERS} ${libmatroska_C_PUBLIC_HEADERS})
target_link_libraries(matroska PUBLIC EBML::ebml)
set_target_properties(matroska PROPERTIES
  VERSION 7.0.0
  SOVERSION 7
  CXX_VISIBILITY_PRESET hidden
  VISIBILITY_INLINES_HIDDEN ON
)
target_include_directories(matroska
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(MSVC)
  target_compile_definitions(matroska PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

include(GenerateExportHeader)
generate_export_header(matroska EXPORT_MACRO_NAME MATROSKA_DLL_API)
target_sources(matroska
  PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR}/matroska_export.h
)

if(NOT BUILD_SHARED_LIBS)
  target_compile_definitions(matroska PUBLIC MATROSKA_STATIC_DEFINE)
endif()

install(TARGETS matroska
  EXPORT MatroskaTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${libmatroska_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska)
install(FILES ${libmatroska_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska/c)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/matroska_export.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska)

if(NOT DISABLE_PKGCONFIG)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
  set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  configure_file(libmatroska.pc.in libmatroska.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libmatroska.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(NOT DISABLE_CMAKE_CONFIG)
  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/Matroska)
  include(CMakePackageConfigHelpers)
  configure_package_config_file(MatroskaConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  write_basic_package_version_file(MatroskaConfigVersion.cmake COMPATIBILITY SameMajorVersion)
  install(EXPORT MatroskaTargets NAMESPACE Matroska:: DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
endif()

=== debian/changelog ===
mkvtoolnix (65.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update year in debian/copyright

 -- Christian Marillat <marillat@debian.org>  Sun, 06 Feb 2022 16:58:58 +0100

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmatroska-dev (>= 1.6.3~), libogg-dev,
 libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
 pkg-config, libboost-date-time-dev, libpugixml-dev, qtbase5-dev,
 libboost-filesystem-dev, nlohmann-json3-dev, xsltproc, docbook-xsl,
 qtmultimedia5-dev, libfmt-dev (>= 6.1.0), autoconf-archive,
 libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
 libebml-dev (>= 1.4.2~), libgmp-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Suggests: mediainfo-gui
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS:=1
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC -fno-var-tracking

%:
	dh $@

override_dh_autoreconf:
	cp /usr/share/aclocal/ax_boost_base.m4 ac

	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
	--disable-update-check --enable-debug

#	exit 1

override_dh_auto_build:
	rake -j $(NCPUS)

override_dh_clean:
	[ ! -f build-config ] || rake clean:dist

	dh_clean config.status rake.d/dependecy.d/*.rb src/input/*.d \
	config.h build-config ac/ax_boost_base.m4

override_dh_install:
	rake install DESTDIR=$(CURDIR)/debian/tmp

#	cp share/desktop/org.bunkus.mkvtoolnix-gui.desktop debian/tmp/usr/share/applications

	dh_install -Xmkvtoolnix.xml

override_dh_missing:
	dh_missing --fail-missing -Xmkvtoolnix.xml

=== debian/watch ===
version=4

https://mkvtoolnix.download/sources/mkvtoolnix-(.*)@ARCHIVE_EXT@

## mkvtoolnix 67.0.0

=== debian/changelog ===
mkvtoolnix (67.0.0-2~19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore export QT_SELECT=5 for Buster.
  * Build internal versions of libmatroska, eml, and libfmt.
  * d/rules: disable dh_dwz on Buster.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 May 2022 16:11:40 -0700

mkvtoolnix (67.0.0-2) unstable; urgency=medium

  * Install renamed files .ogg --> .webm (Closes: #1009479)

 -- Christian Marillat <marillat@debian.org>  Wed, 13 Apr 2022 02:28:03 +0200

mkvtoolnix (67.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 10 Apr 2022 19:18:42 +0200

mkvtoolnix (66.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 13 Mar 2022 16:11:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,45 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
- libbz2-dev, libflac-dev, libmatroska-dev (>= 1.6.3~), libogg-dev,
- libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
- pkg-config, libboost-date-time-dev, libpugixml-dev, qtbase5-dev,
- libboost-filesystem-dev, nlohmann-json3-dev, xsltproc, docbook-xsl,
- qtmultimedia5-dev, libfmt-dev (>= 6.1.0), autoconf-archive,
- libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
- libebml-dev (>= 1.4.2~), libgmp-dev
+Standards-Version: 4.6.0
+Build-Depends: autoconf-archive,
+               debhelper-compat (= 13),
+# only for the buggy bullseye gcc-10
+#               clang,
+               docbook-xsl,
+               libboost-date-time-dev,
+               libboost-filesystem-dev,
+               libboost-math-dev,
+               libbz2-dev,
+               libcmark-dev (>= 0.28.3~),
+               libcurl4-gnutls-dev,
+               libdvdread-dev,
+#               libebml-dev (>= 1.4.2~),
+               libflac-dev,
+#               libfmt-dev (>= 8.1.1),
+               libgmp-dev,
+               liblzo2-dev,
+#               libmatroska-dev (>= 1.6.3~),
+               libogg-dev,
+               libpugixml-dev,
+               libutfcpp-dev,
+               libvorbis-dev,
+               nlohmann-json3-dev,
+               pkg-config,
+               po4a,
+               qtbase5-dev,
+               qtmultimedia5-dev,
+               rake,
+               ruby:any,
+               xsltproc,
+               zlib1g-dev
 
 Package: mkvtoolnix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mkvtoolnix-gui
 Description: Set of command-line tools to work with Matroska files
  Matroska is a new multimedia container format, based on EBML (Extensible
@@ -30,7 +54,7 @@
 
 Package: mkvtoolnix-gui
 Architecture: any
-Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: mkvtoolnix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: mkvtoolnix (<< 35.0.0-1)
 Replaces: mkvtoolnix (<< 35.0.0-1)
 Suggests: mediainfo-gui

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 else
 	NCPUS:=1
 endif
+
+export QT_SELECT=5
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC -fno-var-tracking
@@ -21,8 +23,6 @@
 	dh_auto_configure -- \
 	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
 	--disable-update-check --enable-debug
-
-#	exit 1
 
 override_dh_auto_build:
 	rake -j $(NCPUS)
@@ -42,3 +42,9 @@
 
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
+# for buster to avoid FTBFS:
+override_dh_dwz:

## mkvtoolnix 68.0.0

=== debian/changelog ===
mkvtoolnix (68.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Add libqt5svg5-dev to Build-Depends.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 May 2022 13:34:52 -0700

mkvtoolnix (67.0.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Build with clang on MX 21, gcc-10 has a bug.
  * Build internal versions of libmatroska, eml, and libfmt.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 May 2022 16:11:40 -0700

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 4.6.0
 Build-Depends: autoconf-archive,
+#               clang,
                debhelper-compat (= 13),
-# only for the buggy bullseye gcc-10
-#               clang,
                docbook-xsl,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -17,14 +16,12 @@
                libcmark-dev (>= 0.28.3~),
                libcurl4-gnutls-dev,
                libdvdread-dev,
-#               libebml-dev (>= 1.4.2~),
                libflac-dev,
-#               libfmt-dev (>= 8.1.1),
                libgmp-dev,
                liblzo2-dev,
-#               libmatroska-dev (>= 1.6.3~),
                libogg-dev,
                libpugixml-dev,
+               libqt5svg5-dev,
                libutfcpp-dev,
                libvorbis-dev,
                nlohmann-json3-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 	NCPUS:=1
 endif
 
-export QT_SELECT=5
-
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC -fno-var-tracking
+
+export QT_SELECT=5
 
 %:
 	dh $@
@@ -23,6 +23,8 @@
 	dh_auto_configure -- \
 	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
 	--disable-update-check --enable-debug
+
+#	exit 1
 
 override_dh_auto_build:
 	rake -j $(NCPUS)
@@ -46,5 +48,4 @@
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
 
-# for buster to avoid FTBFS:
 override_dh_dwz:

## mkvtoolnix 69.0.0

=== debian/changelog ===
mkvtoolnix (69.0.0-1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Jul 2022 14:51:37 -0700

mkvtoolnix (68.0.0-1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Add libqt5svg5-dev to Build-Depends.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 May 2022 13:34:52 -0700

## mkvtoolnix 70.0.0

=== debian/changelog ===
mkvtoolnix (70.0.0-1build1) kinetic; urgency=medium

  * No-change rebuild against libfmt9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Aug 2022 06:05:48 +0000

mkvtoolnix (70.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 14 Aug 2022 14:59:26 +0200

mkvtoolnix (69.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Tis version fix build with fmt 9.0 (Closes: #1014557)

 -- Christian Marillat <marillat@debian.org>  Sat, 09 Jul 2022 20:08:36 +0200

mkvtoolnix (68.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libqt5svg5-dev to Build-Depends
  * Update Standards-Version to 4.6.1 (No changes).

 -- Christian Marillat <marillat@debian.org>  Sun, 22 May 2022 23:58:58 +0200

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmatroska-dev (>= 1.6.3~), libogg-dev,
 libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
 pkg-config, libboost-date-time-dev, libpugixml-dev, qtbase5-dev,
 libboost-filesystem-dev, nlohmann-json3-dev, xsltproc, docbook-xsl,
 qtmultimedia5-dev, libfmt-dev (>= 8.1.1), autoconf-archive,
 libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
 libebml-dev (>= 1.4.2~), libgmp-dev, libqt5svg5-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Suggests: mediainfo-gui
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 71.1.0

=== debian/changelog ===
mkvtoolnix (71.1.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Oct 2022 14:24:48 -0700

mkvtoolnix (70.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 29 Aug 2022 14:06:21 -0700

mkvtoolnix (69.0.0-1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Use gcc instead of clang for Buster build.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 15 Jul 2022 14:51:37 -0700

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,41 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
- libbz2-dev, libflac-dev, libmatroska-dev (>= 1.6.3~), libogg-dev,
- libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
- pkg-config, libboost-date-time-dev, libpugixml-dev, qtbase5-dev,
- libboost-filesystem-dev, nlohmann-json3-dev, xsltproc, docbook-xsl,
- qtmultimedia5-dev, libfmt-dev (>= 8.1.1), autoconf-archive,
- libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
- libebml-dev (>= 1.4.2~), libgmp-dev, libqt5svg5-dev
+Standards-Version: 4.6.0
+Build-Depends: autoconf-archive,
+               debhelper-compat (= 13),
+               docbook-xsl,
+               libboost-date-time-dev,
+               libboost-filesystem-dev,
+               libboost-math-dev,
+               libbz2-dev,
+               libcmark-dev (>= 0.28.3~),
+               libcurl4-gnutls-dev,
+               libdvdread-dev,
+               libflac-dev,
+               libgmp-dev,
+               liblzo2-dev,
+               libogg-dev,
+               libpugixml-dev,
+               libqt5svg5-dev,
+               libutfcpp-dev,
+               libvorbis-dev,
+               nlohmann-json3-dev,
+               pkg-config,
+               po4a,
+               qtbase5-dev,
+               qtmultimedia5-dev,
+               rake,
+               ruby:any,
+               xsltproc,
+               zlib1g-dev
 
 Package: mkvtoolnix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mkvtoolnix-gui
 Description: Set of command-line tools to work with Matroska files
  Matroska is a new multimedia container format, based on EBML (Extensible
@@ -31,7 +50,7 @@
 
 Package: mkvtoolnix-gui
 Architecture: any
-Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: mkvtoolnix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: mkvtoolnix (<< 35.0.0-1)
 Replaces: mkvtoolnix (<< 35.0.0-1)
 Suggests: mediainfo-gui

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	  dh_auto_configure -- \
 	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
 	--disable-update-check --enable-debug
 
@@ -47,5 +47,3 @@
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-
-override_dh_dwz:

## mkvtoolnix 72.0.0

=== debian/changelog ===
mkvtoolnix (72.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 13 Nov 2022 15:04:15 +0100

mkvtoolnix (71.1.0-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Increase libmatroska-dev build-dependency to 1.7.1 (Closes: #1021489)

 -- Christian Marillat <marillat@debian.org>  Sun, 09 Oct 2022 15:48:13 +0200

mkvtoolnix (71.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 09 Oct 2022 03:33:59 +0200

## mkvtoolnix 73.0.0

=== debian/changelog ===
mkvtoolnix (73.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 03 Jan 2023 09:42:24 +0100

## mkvtoolnix 74.0.0

=== lib/fmt/CMakeLists.txt ===
--- 
+++ 
@@ -81,12 +81,13 @@
 option(FMT_CUDA_TEST "Generate the cuda-test target." OFF)
 option(FMT_OS "Include core requiring OS (Windows/Posix) " ON)
 option(FMT_MODULE "Build a module instead of a traditional library." OFF)
+option(FMT_SYSTEM_HEADERS "Expose headers with marking them as system." OFF)
 
 set(FMT_CAN_MODULE OFF)
 if (CMAKE_CXX_STANDARD GREATER 17 AND
     # msvc 16.10-pre4
     MSVC AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 19.29.30035)
-  set(FMT_CAN_MODULE ON)
+  set(FMT_CAN_MODULE OFF)
 endif ()
 if (NOT FMT_CAN_MODULE)
   set(FMT_MODULE OFF)
@@ -95,6 +96,10 @@
 if (FMT_TEST AND FMT_MODULE)
   # The tests require {fmt} to be compiled as traditional library
   message(STATUS "Testing is incompatible with build mode 'module'.")
+endif ()
+set(FMT_SYSTEM_HEADERS_ATTRIBUTE "")
+if (FMT_SYSTEM_HEADERS)
+  set(FMT_SYSTEM_HEADERS_ATTRIBUTE SYSTEM)
 endif ()
 
 # Get version from core.h
@@ -120,7 +125,6 @@
   "${CMAKE_CURRENT_SOURCE_DIR}/support/cmake")
 
 include(cxx14)
-include(CheckCXXCompilerFlag)
 include(JoinPaths)
 
 list(FIND CMAKE_CXX_COMPILE_FEATURES "cxx_variadic_templates" index)
@@ -151,7 +155,7 @@
       -Wcast-align
       -Wctor-dtor-privacy -Wdisabled-optimization
       -Winvalid-pch -Woverloaded-virtual
-      -Wconversion -Wswitch-enum -Wundef
+      -Wconversion -Wundef
       -Wno-ctor-dtor-privacy -Wno-format-nonliteral)
   if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.6)
       set(PEDANTIC_COMPILE_FLAGS ${PEDANTIC_COMPILE_FLAGS}
@@ -204,18 +208,6 @@
     ${CMAKE_MAKE_PROGRAM} -p:FrameworkPathOverride=\"${netfxpath}\" %*")
 endif ()
 
-set(strtod_l_headers stdlib.h)
-if (APPLE)
-  set(strtod_l_headers ${strtod_l_headers} xlocale.h)
-endif ()
-
-include(CheckSymbolExists)
-if (WIN32)
-  check_symbol_exists(_strtod_l "${strtod_l_headers}" HAVE_STRTOD_L)
-else ()
-  check_symbol_exists(strtod_l "${strtod_l_headers}" HAVE_STRTOD_L)
-endif ()
-
 function(add_headers VAR)
   set(headers ${${VAR}})
   foreach (header ${ARGN})
@@ -226,7 +218,7 @@
 
 # Define the fmt library, its includes and the needed defines.
 add_headers(FMT_HEADERS args.h chrono.h color.h compile.h core.h format.h
-                        format-inl.h locale.h os.h ostream.h printf.h ranges.h
+                        format-inl.h os.h ostream.h printf.h ranges.h std.h
                         xchar.h)
 if (FMT_MODULE)
   set(FMT_SOURCES src/fmt.cc)
@@ -239,17 +231,6 @@
 add_library(fmt ${FMT_SOURCES} ${FMT_HEADERS} README.rst ChangeLog.rst)
 add_library(fmt::fmt ALIAS fmt)
 
-if (HAVE_STRTOD_L)
-  target_compile_definitions(fmt PUBLIC FMT_LOCALE)
-endif ()
-
-if (MINGW)
-  check_cxx_compiler_flag("Wa,-mbig-obj" FMT_HAS_MBIG_OBJ)
-  if (${FMT_HAS_MBIG_OBJ})
-    target_compile_options(fmt PUBLIC "-Wa,-mbig-obj")
-  endif()
-endif ()
-
 if (FMT_WERROR)
   target_compile_options(fmt PRIVATE ${WERROR_FLAG})
 endif ()
@@ -262,7 +243,7 @@
 
 target_compile_features(fmt INTERFACE ${FMT_REQUIRED_FEATURES})
 
-target_include_directories(fmt PUBLIC
+target_include_directories(fmt ${FMT_SYSTEM_HEADERS_ATTRIBUTE} PUBLIC
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
   $<INSTALL_INTERFACE:${FMT_INC_DIR}>)
 
@@ -270,6 +251,7 @@
 
 set_target_properties(fmt PROPERTIES
   VERSION ${FMT_VERSION} SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR}
+  PUBLIC_HEADER "${FMT_HEADERS}"
   DEBUG_POSTFIX "${FMT_DEBUG_POSTFIX}")
 
 # Set FMT_LIB_NAME for pkg-config fmt.pc. We cannot use the OUTPUT_NAME target
@@ -280,12 +262,6 @@
 endif ()
 
 if (BUILD_SHARED_LIBS)
-  if (UNIX AND NOT APPLE AND NOT ${CMAKE_SYSTEM_NAME} MATCHES "SunOS" AND
-      NOT EMSCRIPTEN)
-    # Fix rpmlint warning:
-    # unused-direct-shlib-dependency /usr/lib/libformat.so.1.1.0 /lib/libm.so.6.
-    target_link_libraries(fmt -Wl,--as-needed)
-  endif ()
   target_compile_definitions(fmt PRIVATE FMT_EXPORT INTERFACE FMT_SHARED)
 endif ()
 if (FMT_SAFE_DURATION_CAST)
@@ -298,7 +274,7 @@
 target_compile_definitions(fmt-header-only INTERFACE FMT_HEADER_ONLY=1)
 target_compile_features(fmt-header-only INTERFACE ${FMT_REQUIRED_FEATURES})
 
-target_include_directories(fmt-header-only INTERFACE
+target_include_directories(fmt-header-only ${FMT_SYSTEM_HEADERS_ATTRIBUTE} INTERFACE
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
   $<INSTALL_INTERFACE:${FMT_INC_DIR}>)
 
@@ -329,3 +305,20 @@
     VERSION ${FMT_VERSION}
     COMPATIBILITY AnyNewerVersion)
 
+  join_paths(libdir_for_pc_file "\${exec_prefix}" "${FMT_LIB_DIR}")
+  join_paths(includedir_for_pc_file "\${prefix}" "${FMT_INC_DIR}")
+
+  configure_file(
+    "${PROJECT_SOURCE_DIR}/support/cmake/fmt.pc.in"
+    "${pkgconfig}"
+    @ONLY)
+  configure_package_config_file(
+    ${PROJECT_SOURCE_DIR}/support/cmake/fmt-config.cmake.in
+    ${project_config}
+    INSTALL_DESTINATION ${FMT_CMAKE_DIR})
+
+  set(INSTALL_TARGETS fmt fmt-header-only)
+
+  # Install the library and headers.
+  install(TARGETS ${INSTALL_TARGETS} EXPORT ${targets_export_name}
+          LIBRARY DESTINATION ${FMT_LIB_DIR}

=== lib/libebml/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1.2)
 
-project(ebml VERSION 1.4.2)
+project(ebml VERSION 1.4.4)
 
 option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
 option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
@@ -8,7 +8,7 @@
 
 include(GNUInstallDirs)
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(libebml_SOURCES
@@ -120,8 +120,16 @@
 if(NOT DISABLE_PKGCONFIG)
   set(prefix ${CMAKE_INSTALL_PREFIX})
   set(exec_prefix "\$\{prefix\}")
-  set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
-  set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
+  if (IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
+    set(libdir "${CMAKE_INSTALL_LIBDIR}")
+  else()
+    set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
+  endif()
+  if (IS_ABSOLUTE ${CMAKE_INSTALL_INCLUDEDIR})
+    set(includedir "${CMAKE_INSTALL_INCLUDEDIR}")
+  else()
+    set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
+  endif()
   set(PACKAGE_VERSION ${PROJECT_VERSION})
   if (HAVE_WINAPIFAMILY_H)
     set(WINAPIFAMILY_PC -DHAVE_WINAPIFAMILY_H)

=== debian/changelog ===
mkvtoolnix (74.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 12 Feb 2023 18:03:13 +0100

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmatroska-dev (>= 1.7.1~), libogg-dev,
 libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
 pkg-config, libboost-date-time-dev, libpugixml-dev, qtbase5-dev,
 libboost-filesystem-dev, nlohmann-json3-dev, xsltproc, docbook-xsl,
 qtmultimedia5-dev, libfmt-dev (>= 8.1.1), autoconf-archive,
 libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
 libgmp-dev, libqt5svg5-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Suggests: mediainfo-gui
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.
